Bug 989050 - [abrt] system-config-printer-1.4.1-8.fc19: errordialogs.py:55:show_IPP_Error:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 4: ordinal not in range(128)
[abrt] system-config-printer-1.4.1-8.fc19: errordialogs.py:55:show_IPP_Error:...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:4329b63010939ca5452c1233105...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-27 03:49 EDT by alain.thiaville
Modified: 2013-08-25 18:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-25 18:56:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1001 bytes, text/plain)
2013-07-27 03:49 EDT, alain.thiaville
no flags Details
File: core_backtrace (470 bytes, text/plain)
2013-07-27 03:49 EDT, alain.thiaville
no flags Details
File: dso_list (82 bytes, text/plain)
2013-07-27 03:49 EDT, alain.thiaville
no flags Details
File: environ (2.32 KB, text/plain)
2013-07-27 03:49 EDT, alain.thiaville
no flags Details

  None (edit)
Description alain.thiaville 2013-07-27 03:49:30 EDT
Version-Release number of selected component:
system-config-printer-1.4.1-8.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.9.10-200.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
errordialogs.py:55:show_IPP_Error:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 4: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/gi/overrides/GLib.py", line 629, in <lambda>
    return (lambda data: callback(*data), user_data)
  File "/usr/share/system-config-printer/system-config-printer.py", line 2019, in deferred_refresh
    self.populateList (prompt_allowed=False)
  File "/usr/share/system-config-printer/system-config-printer.py", line 730, in populateList
    show_IPP_Error(e, m, self.PrintersWindow)
  File "/usr/share/system-config-printer/errordialogs.py", line 55, in show_IPP_Error
    "operation: '%s'.").decode ('utf-8')) % message
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 4: ordinal not in range(128)

Local variables in innermost frame:
message: 'Succ\xc3\xa8s'
exception: 1280
parent: <Window object at 0x138bd70 (GtkWindow at 0x14bb010)>
title: 'Erreur du serveur CUPS'
Comment 1 alain.thiaville 2013-07-27 03:49:34 EDT
Created attachment 778982 [details]
File: backtrace
Comment 2 alain.thiaville 2013-07-27 03:49:38 EDT
Created attachment 778983 [details]
File: core_backtrace
Comment 3 alain.thiaville 2013-07-27 03:49:41 EDT
Created attachment 778984 [details]
File: dso_list
Comment 4 alain.thiaville 2013-07-27 03:49:45 EDT
Created attachment 778985 [details]
File: environ
Comment 6 Fedora Update System 2013-08-21 12:22:44 EDT
system-config-printer-1.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.2-1.fc19
Comment 7 Fedora Update System 2013-08-22 20:45:17 EDT
Package system-config-printer-1.4.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15201/system-config-printer-1.4.2-1.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-08-25 18:56:20 EDT
system-config-printer-1.4.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.